org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class IgniteDhtPartitionCountersMap2

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.IgniteDhtPartitionCountersMap2

All Implemented Interfaces:
  Serializable

    public class IgniteDhtPartitionCountersMap2
    extends Object
    implements Serializable

Partition counters map.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteDhtPartitionCountersMap2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `empty()`
`CachePartitionFullCountersMap` `get(int cacheId)`
`void` `putIfAbsent(int cacheId, CachePartitionFullCountersMap cntrMap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteDhtPartitionCountersMap2

    public IgniteDhtPartitionCountersMap2()

### Method Detail

#### empty

    public boolean empty()

Returns:
  `True` if map is empty.

#### putIfAbsent

    public void putIfAbsent(int cacheId,
                            CachePartitionFullCountersMap cntrMap)

Parameters:
  `cacheId` - Cache ID.
  `cntrMap` - Counters map.

#### get

    public CachePartitionFullCountersMap get(int cacheId)

Parameters:
  `cacheId` - Cache ID.
Returns:
  Counters map.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019